Skip to main content
POST
/
ai
/
prediction
/
classification
/
{MODEL_ID}
Classification use case
import requests

url = "https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID}"

payload = {}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{}")
.asString();
const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID}"

payload := strings.NewReader("{}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([

]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://application_id.applications.lucidworks.com/ai/prediction/classification/{MODEL_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '{}'
{
  "predictions": [
    {
      "tokensUsed": {
        "inputTokens": 10,
        "labelsTokens": 26
      },
      "labels": {
        "Lord of the Rings": 0.40380859375,
        "Harry Potter": 0.3681640625
      },
      "response": "Lord of the Rings: 0.40, Harry Potter: 0.37"
    }
  ]
}

Headers

Authorization
string
required

Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.

Content-Type
string

application/json

Example:

"application/json"

Path Parameters

MODEL_ID
string
required

Unique identifier for the model.

Body

application/json
batch
object[]

The batch of key:value pairs used as inputs in the prediction. Up to 32 inputs per request are allowed.

Maximum array length: 32
useCaseConfig
UseCaseConfigClassification · object

Response

200 - application/json

OK

The response is of type object.